<?php
namespace Common\Model;
use Common\Model\BaseModel;

class ServiceModel extends BaseModel{

    // 自动验证
    protected $_validate=array(
    
	//新增时验证
	array('kfid', 'require', '客服工单号必填！', 0, 'unique',1), 
	array('kfid', '', '工号已存在！', 0, 'unique',1), 
	array('phone', 'require', '手机号必填写', 0, 'regex',1), 
	array('phone', '', '手机号已存在！', 0, 'unique',1),
	array('email', 'require', '邮箱必填', 0, 'regex',1), 	
	array('email', '', '邮箱地址已存在！', 2, 'unique',1),
	array('pwd','require','登陆密码必填',2,'regex',1),
	array('uname', 'require', '客服姓名必填！', 0, 'unique',1), 
	
	//修改资料验证
	array('kfid', '', '工号已存在！', 0, 'unique',2), 
	array('phone', 'require', '手机号必填写', 0, 'regex',2), 
	array('phone', '', '手机号已存在！', 0, 'unique',2),
	array('email', 'require', '邮箱必填', 0, 'regex',2), 	
	array('email', '', '邮箱地址已存在！', 2, 'unique',2),
	array('pwd','require','登陆密码必填',2,'regex',2),
        );


 
}